Bug 40960 - squid/acl/windowsupdater/allow/dstdomain-i/regex variable uses ^ and $
squid/acl/windowsupdater/allow/dstdomain-i/regex variable uses ^ and $
Status: CLOSED FIXED
Product: UCS@school
Classification: Unclassified
Component: Proxy services
UCS@school 4.1
Other Linux
: P5 normal (vote)
: UCS@school 4.1 R2 vXXX
Assigned To: Daniel Tröder
Sönke Schwardt-Krummrich
: interim-3
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-30 07:01 CEST by Stefan Gohmann
Modified: 2016-10-04 13:24 CEST (History)
3 users (show)

See Also:
What kind of report is it?: Bug Report
What type of bug is this?: 1: Cosmetic issue or missing function but workaround exists
Who will be affected by this bug?: 1: Will affect a very few installed domains
How will those affected feel about the bug?: 1: Nuisance – not a big deal but noticeable
User Pain: 0.006
Enterprise Customer affected?:
School Customer affected?: Yes
ISV affected?:
Waiting Support:
Ticket number: 2016031721000233
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Gohmann univentionstaff 2016-03-30 07:01:40 CEST
The windows updater regex is set in ucs-school-webproxy.postinst

univention-config-registry set 'squid/acl/windowsupdater/allow/dstdomain-i/regex?^(.*\.update\.microsoft|download.windowsupdate)\.com$'

The ^ and $ is doubled in the configuration:

acl useracl_windowsupdater dstdom_regex -i ^^(.*\.update\.microsoft|download.windowsupdate)\.com$$

Reported by a customer: Ticket #2016031721000233
Comment 1 Florian Best univentionstaff 2016-04-04 06:29:55 CEST
We discussed about this when doing QA for Bug #37541 / Bug #37542 / Bug #37543.
This is not important as the functionality is the same.
Comment 2 Stefan Gohmann univentionstaff 2016-04-04 06:44:54 CEST
(In reply to Florian Best from comment #1)
> This is not important as the functionality is the same.

Well, it generates questions by our customers.
Comment 3 Daniel Tröder univentionstaff 2016-08-23 11:03:55 CEST
71833: correct default UCRV value and fix existing installations if value is unchanged
71834: advisory
Comment 4 Sönke Schwardt-Krummrich univentionstaff 2016-09-29 18:20:44 CEST
OK: code change
OK: YAML
Comment 5 Sönke Schwardt-Krummrich univentionstaff 2016-10-04 13:24:45 CEST
UCS@school 4.1 R2 v5 has been released.

http://docs.software-univention.de/changelog-ucsschool-4.1R2v5-de.html

If this error occurs again, please clone this bug.